Subject: Re: git branch --merged and git branch --verbose do not combine

From: Junio C Hamano <[email-masked]>
Date: Mon, 15 Sep 2014 11:06:23 -0700

David Kastrup <[email-masked]> writes:

> dak@lola:/usr/local/tmp/lilypond$ ../git/git branch --merged --verbose
> fatal: malformed object name --verbose

Only at the very end of the command line if you omit something that
is required, Git helps by defaulting the missing rev to HEAD.  You
can be a bit more explicit in the middle, i.e. instead of asking
"Which are branches that already has been merged in --verbose?", you
can ask "branch --merged HEAD --verbose", meaning "What are branhes
that already has been merged in HEAD, please give me a verbose
answer?" perhaps?